%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Mail
%global pear_channel pear.horde.org


Name:           php-horde-Horde-Mail
Version:        2.6.5
Release:        1%{?dist}
Summary:        Horde Mail Library

Group:          Development/Libraries
License:        BSD
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Test)
BuildRequires:  php-pear(%{pear_channel}/Horde_Idna)
BuildRequires:  php-pear(%{pear_channel}/Horde_Mime)
BuildRequires:  gettext

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-intl
Requires:       php-pcre
Requires:       php-posix
Requires:       php-spl
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Stream_Filter) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Stream_Filter) <  3.0.0
Requires:	php-pear(%{pear_channel}/Horde_Idna) <  2.0.0alpha1
Requires:	php-pear(%{pear_channel}/Horde_Idna) >=  1.0.0

# Optionnal
Requires:       php-pear(Net_SMTP) >= 1.6.0
Requires:       php-pear(Net_DNS2)
# Horde_Support optional and implicitly required
# Horde_Smtp optional and ignored to avoid circular dep.

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/horde-mail) = %{version}


%description
The Horde_Mail library is a fork of the PEAR Mail library that provides
additional functionality, including (but not limited to):
* Allows a stream to be passed in.
* Allows raw headertext to be used in the outgoing messages (required for
things like message redirection pursuant to RFC 5322 [3.6.6]).
* Native PHP 5 code.
* PHPUnit test suite.
* Provides more comprehensive sendmail error messages.
* Uses Exceptions instead of PEAR_Errors.


%prep
%setup -q -c -T
tar xif %{SOURCE0}

cd %{pear_name}-%{version}
# Don't install .po and .pot files
sed -e '/%{pear_name}.pot/d' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}

# Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

for loc in locale/{??,??_??}
do
    lang=$(basename $loc)
    test -d %{buildroot}%{pear_datadir}/%{pear_name}/$loc \
         && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit --bootstrap bootstrap.php -d date.timezone=UTC .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files -f %{pear_name}.lang
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}/locale
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Mail
%{pear_testdir}/%{pear_name}


%changelog
* Sat Mar 23 2019 josef radinger <cheese@nosuchhost.net> - 2.6.5-1
- bump version
- modify check-section

* Sun Jun 25 2017 josef radinger <cheese@nosuchhost.net> - 2.6.4-1
- bump version
- add locale

* Sat Dec 03 2016 josef radinger <cheese@nosuchhost.net> - 2.6.3-2
- always run checks
- add Build+Requires on Horde_Idna

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.6.3-1
- bump version

* Fri Jul 31 2015 josef radinger <cheese@nosuchhost.net> - 2.6.2-1
- bump version
- add povides php-composer(horde/horde-mail)

* Sun Jun 28 2015 josef radinger <cheese@nosuchhost.net> - 2.6.1-1
- bump version

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.6.0-1
- bump version

* Wed Jan 07 2015 josef radinger <cheese@nosuchhost.net> - 2.5.1-1
- bump version

* Sun Dec 14 2014 josef radinger <cheese@nosuchhost.net> - 2.5.0-2
- dont install pot-files

* Tue Nov 25 2014 josef radinger <cheese@nosuchhost.net> - 2.5.0-1
- bump version

* Tue Aug 05 2014 josef radinger <cheese@nosuchhost.net> - 2.4.0-1
- bump version

* Thu May 22 2014 josef radinger <cheese@nosuchhost.net> - 2.3.0-1
- bump version

* Thu May 15 2014 josef radinger <cheese@nosuchhost.net> - 2.2.0-1
- Update to 2.2.0-1

* Sat Apr 12 2014 josef radinger <cheese@nosuchhost.net> - 2.1.6-1
- Update to 2.1.6

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 2.1.2-1
- Update to 2.1.2

* Tue Aug 27 2013 Remi Collet <remi@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1

* Fri Aug 23 2013 Remi Collet <remi@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Wed Jul 17 2013 Remi Collet <remi@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6

* Tue Apr 09 2013 Remi Collet <remi@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5

* Wed Mar 20 2013 Nick Bebout <nb@fedoraproject.org> - 2.0.4-1
- Update for review

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Thu Dec 27 2012 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3 for remi repo

* Tue Dec  4 2012 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2 for remi repo

* Sat Nov 17 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1 for remi repo

* Fri Nov  2 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0 for remi repo

* Thu Jun 21 2012 Nick Bebout <nb@fedoraproject.org> - 1.2.0-1
- Upgrade to 1.2.0

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.3-1
- Initial package

